<template>
  <div id="app">

   
    <!--<nav>
      <router-link to="/">Home</router-link> |
      <router-link to="/about">About</router-link>
    </nav>-->
    <router-view/>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'App',

    mounted(){
      if (localStorage.isConnected) {
        this.$store.commit('UPDATE_ISCONNECTED', true)
      }
      if (localStorage.user) {
        this.$store.commit('UPDATE_USER', JSON.parse(localStorage.user))
      }
    }
});
</script>


<style>
@import url('https://fonts.googleapis.com/css2?family=Merriweather:wght@300&display=swap');
html {
  font-family: 'Merriweather', sans-serif;
  background-color: #fdfdfd;
  min-width: 100%;
}

#app {
  font-family: 'Merriweather', sans-serif;
}

</style>
